| HOpenGL Libraries (OpenGL package) | Contents | Index

Graphics.Rendering.OpenGL.GL.RasterPos

Portability | portable
Stability | provisional
Maintainer | sven.panne@aedion.de

Description
This module corresponds to section 2.13 (Current Raster Position) of the OpenGL 1.5 specs.
Documentation
currentRasterPosition :: StateVar (Vertex4 GLfloat)
class RasterPosComponent a

Instances

RasterPosComponent GLdouble
RasterPosComponent GLfloat
RasterPosComponent GLint
RasterPosComponent GLshort

class RasterPos a where

Methods

rasterPos :: a -> IO ()
rasterPosv :: Ptr a -> IO ()

Instances

RasterPosComponent a => RasterPos (Vertex2 a)
RasterPosComponent a => RasterPos (Vertex3 a)
RasterPosComponent a => RasterPos (Vertex4 a)

class WindowPosComponent a

Instances

WindowPosComponent GLdouble
WindowPosComponent GLfloat
WindowPosComponent GLint
WindowPosComponent GLshort

class WindowPos a where

Methods

windowPos :: a -> IO ()
windowPosv :: Ptr a -> IO ()

Instances

WindowPosComponent a => WindowPos (Vertex2 a)
WindowPosComponent a => WindowPos (Vertex3 a)

currentRasterDistance :: GettableStateVar GLfloat
currentRasterColor :: GettableStateVar (Color4 GLfloat)
currentRasterIndex :: GettableStateVar (Index1 GLint)
currentRasterTexCoords :: GettableStateVar (TexCoord4 GLfloat)
currentRasterPositionValid :: GettableStateVar Bool
rasterPositionUnclipped :: StateVar Capability
Produced by Haddock version 0.7